kelvin kelvin - 4 months ago 13
Ruby Question

Using OmniAuth in Rails 5

I have recently updated to rails 5. Now stuck up in installing omniauth gem. I have never tried omniauth before. I am trying to integrate sign up with google and facebook option in my Rails 5 app. I am following this tutorial. I am getting error while running bundle install. Please find the screenshot below. I am in the learning stage of rails. Kindly help me in solving the error and please suggest some clear tutorials which will help me in adding sign up with google and facebook option in my Rails 5 app.

screenshot .

Answer

Modify this line in your Gemfile:

gem 'omniauth', '~> 1.2.2'

To this:

gem 'omniauth'